Index: interface/GraphicsDefs.h
===================================================================
--- interface/GraphicsDefs.h	(revision 28851)
+++ interface/GraphicsDefs.h	(working copy)
@@ -10,7 +10,7 @@
 #include <SupportDefs.h>
 
 
-// Pattern
+/* Pattern */
 
 typedef struct pattern {
 	uint8 data[8];
@@ -30,14 +30,14 @@
 	return !(a == b);
 }
 
-#endif // __cplusplus
+#endif /* __cplusplus */
 
 extern const pattern B_SOLID_HIGH;
 extern const pattern B_MIXED_COLORS;
 extern const pattern B_SOLID_LOW;
 
 
-// rgb_color
+/* rgb_color */
 
 typedef struct rgb_color {
 	uint8		red;
@@ -46,7 +46,7 @@
 	uint8		alpha;
 
 #if defined(__cplusplus)
-	// some convenient additions
+	/* some convenient additions */
 
 	inline rgb_color&
 	set_to(uint8 r, uint8 g, uint8 b, uint8 a = 255)
@@ -98,7 +98,7 @@
 extern const rgb_color	B_TRANSPARENT_32_BIT;
 
 
-// color map
+/* color map */
 
 typedef struct color_map {
 	int32				id;
@@ -108,7 +108,7 @@
 } color_map;
 
 
-// overlay
+/* overlay */
 
 typedef struct overlay_rect_limits {
 	uint16				horizontal_alignment;
@@ -133,22 +133,22 @@
 } overlay_restrictions;
 
 
-// screen ID
+/* screen ID */
 
 struct screen_id { int32 id; };
 
 extern const struct screen_id B_MAIN_SCREEN_ID;
 
 
-// color spaces
+/* color spaces */
 
 typedef enum {
 	B_NO_COLOR_SPACE	= 0x0000,
 
-	// linear color space (little endian)
-	B_RGB32				= 0x0008,	// BGR-
-	B_RGBA32			= 0x2008,	// BGRA
-	B_RGB24				= 0x0003,	// BGR
+	/* linear color space (little endian) */
+	B_RGB32				= 0x0008,	/* BGR- */
+	B_RGBA32			= 0x2008,	/* BGRA */
+	B_RGB24				= 0x0003,	/* BGR */
 	B_RGB16				= 0x0005,
 	B_RGB15				= 0x0010,
 	B_RGBA15			= 0x2010,
@@ -156,15 +156,15 @@
 	B_GRAY8				= 0x0002,
 	B_GRAY1				= 0x0001,
 
-	// big endian version
-	B_RGB32_BIG			= 0x1008,	// -RGB
-	B_RGBA32_BIG		= 0x3008,	// ARGB
-	B_RGB24_BIG			= 0x1003,	// RGB
+	/* big endian version */
+	B_RGB32_BIG			= 0x1008,	/* -RGB */
+	B_RGBA32_BIG		= 0x3008,	/* ARGB */
+	B_RGB24_BIG			= 0x1003,	/* RGB */
 	B_RGB16_BIG			= 0x1005,
 	B_RGB15_BIG			= 0x1010,
 	B_RGBA15_BIG		= 0x3010,
 
-	// explicit little-endian for completeness
+	/* explicit little-endian for completeness */
 	B_RGB32_LITTLE		= B_RGB32,
 	B_RGBA32_LITTLE		= B_RGBA32,
 	B_RGB24_LITTLE		= B_RGB24,
@@ -172,67 +172,67 @@
 	B_RGB15_LITTLE		= B_RGB15,
 	B_RGBA15_LITTLE		= B_RGBA15,
 
-	// non linear color space -- incidently, all with 8 bits per value
-	// Note, BBitmap and BView do not support all of these!
+	/* non linear color space -- incidently, all with 8 bits per value */
+	/* Note, BBitmap and BView do not support all of these! */
 
-	// loss/saturation points are Y 16-235 (absolute), Cb/Cr 16-240 (center 128)
+	/* loss/saturation points are Y 16-235 (absolute), Cb/Cr 16-240 (center 128) */
 
-	B_YCbCr422			= 0x4000,	// Y0  Cb0  Y1  Cr0  Y2...
-									// Cb2 Y3  Cr2...
-	B_YCbCr411			= 0x4001,	// Cb0 Y0  Cr0  Y1  Cb4...
-									// Y2  Cr4 Y3   Y4  Y5...
-									// Y6  Y7...
-	B_YCbCr444			= 0x4003,	// Y Cb Cr
-	B_YCbCr420			= 0x4004,	// Non-interlaced only
-		// on even scan lines: Cb0  Y0  Y1  Cb2 Y2  Y3
-		// on odd scan lines:  Cr0  Y0  Y1  Cr2 Y2  Y3
+	B_YCbCr422			= 0x4000,	/* Y0  Cb0  Y1  Cr0  Y2... */
+									/* Cb2 Y3  Cr2... */
+	B_YCbCr411			= 0x4001,	/* Cb0 Y0  Cr0  Y1  Cb4... */
+									/* Y2  Cr4 Y3   Y4  Y5... */
+									/* Y6  Y7... */
+	B_YCbCr444			= 0x4003,	/* Y Cb Cr */
+	B_YCbCr420			= 0x4004,	/* Non-interlaced only */
+		/* on even scan lines: Cb0  Y0  Y1  Cb2 Y2  Y3 */
+		/* on odd scan lines:  Cr0  Y0  Y1  Cr2 Y2  Y3 */
 
-	// Extrema points are:
-	//  Y 0 - 207 (absolute)
-	//  U -91 - 91 (offset 128)
-	//  V -127 - 127 (offset 128)
+	/* Extrema points are: */
+	/*  Y 0 - 207 (absolute) */
+	/*  U -91 - 91 (offset 128) */
+	/*  V -127 - 127 (offset 128) */
 
-	// Note that YUV byte order is different from YCbCr; use YCbCr, not YUV,
-	// when that's what you mean!
-	B_YUV422			= 0x4020,	// U0  Y0  V0  Y1...
-									// U2  Y2  V2  Y3...
-	B_YUV411			= 0x4021,	// U0  Y0  Y1  V0  Y2  Y3...
-									// U4  Y4  Y5  V4  Y6  Y7...
-	B_YUV444			= 0x4023,	// U0  Y0  V0  U1  Y1  V1
-	B_YUV420			= 0x4024,	// Non-interlaced only
-		// on even scan lines: U0  Y0  Y1  U2 Y2  Y3
-		// on odd scan lines:  V0  Y0  Y1  V2 Y2  Y3
+	/* Note that YUV byte order is different from YCbCr; use YCbCr, not YUV, */
+	/* when that's what you mean! */
+	B_YUV422			= 0x4020,	/* U0  Y0  V0  Y1... */
+									/* U2  Y2  V2  Y3... */
+	B_YUV411			= 0x4021,	/* U0  Y0  Y1  V0  Y2  Y3... */
+									/* U4  Y4  Y5  V4  Y6  Y7... */
+	B_YUV444			= 0x4023,	/* U0  Y0  V0  U1  Y1  V1 */
+	B_YUV420			= 0x4024,	/* Non-interlaced only */
+		/* on even scan lines: U0  Y0  Y1  U2 Y2  Y3 */
+		/* on odd scan lines:  V0  Y0  Y1  V2 Y2  Y3 */
 	B_YUV9				= 0x402C,
 	B_YUV12				= 0x402D,
 
-	B_UVL24				= 0x4030,	// UVL
-	B_UVL32				= 0x4031,	// UVL-
-	B_UVLA32			= 0x6031,	// UVLA
+	B_UVL24				= 0x4030,	/* UVL */
+	B_UVL32				= 0x4031,	/* UVL- */
+	B_UVLA32			= 0x6031,	/* UVLA */
 
-	// L lightness, a/b color-opponent dimensions
-	B_LAB24				= 0x4032,	// Lab
-	B_LAB32				= 0x4033,	// Lab-
-	B_LABA32			= 0x6033,	// LabA
+	/* L lightness, a/b color-opponent dimensions */
+	B_LAB24				= 0x4032,	/* Lab */
+	B_LAB32				= 0x4033,	/* Lab- */
+	B_LABA32			= 0x6033,	/* LabA */
 
-	// Red is at hue 0
-	B_HSI24				= 0x4040,	// HSI
-	B_HSI32				= 0x4041,	// HSI-
-	B_HSIA32			= 0x6041,	// HSIA
+	/* Red is at hue 0 */
+	B_HSI24				= 0x4040,	/* HSI */
+	B_HSI32				= 0x4041,	/* HSI- */
+	B_HSIA32			= 0x6041,	/* HSIA */
 
-	B_HSV24				= 0x4042,	// HSV
-	B_HSV32				= 0x4043,	// HSV-
-	B_HSVA32			= 0x6043,	// HSVA
+	B_HSV24				= 0x4042,	/* HSV */
+	B_HSV32				= 0x4043,	/* HSV- */
+	B_HSVA32			= 0x6043,	/* HSVA */
 
-	B_HLS24				= 0x4044,	// HLS
-	B_HLS32				= 0x4045,	// HLS-
-	B_HLSA32			= 0x6045,	// HLSA
+	B_HLS24				= 0x4044,	/* HLS */
+	B_HLS32				= 0x4045,	/* HLS- */
+	B_HLSA32			= 0x6045,	/* HLSA */
 
-	B_CMY24				= 0xC001,	// CMY
-	B_CMY32				= 0xC002,	// CMY-
-	B_CMYA32			= 0xE002,	// CMYA
-	B_CMYK32			= 0xC003,	// CMYK
+	B_CMY24				= 0xC001,	/* CMY */
+	B_CMY32				= 0xC002,	/* CMY- */
+	B_CMYA32			= 0xE002,	/* CMYA */
+	B_CMYK32			= 0xC003,	/* CMYK */
 
-	// compatibility declarations
+	/* compatibility declarations */
 	B_MONOCHROME_1_BIT	= B_GRAY1,
 	B_GRAYSCALE_8_BIT	= B_GRAY8,
 	B_COLOR_8_BIT		= B_CMAP8,
@@ -243,7 +243,7 @@
 } color_space;
 
 
-// Bitmap Support Flags
+/* Bitmap Support Flags */
 
 enum {
 	B_VIEWS_SUPPORT_DRAW_BITMAP			= 0x1,
@@ -266,7 +266,7 @@
 };
 
 		      
-// Drawing Modes
+/* Drawing Modes */
 
 enum drawing_mode {
 	B_OP_COPY,
@@ -293,7 +293,7 @@
 };
 
 
-// Fixed Screen Modes
+/* Fixed Screen Modes */
 
 enum {
 	B_8_BIT_640x480		= 0x00000001,
@@ -324,4 +324,4 @@
 	B_8_BIT_640x400		= 0x80000000
 };
 
-#endif	// _GRAPHICS_DEFS_H
+#endif	/* _GRAPHICS_DEFS_H */
Index: support/parsedate.h
===================================================================
--- support/parsedate.h	(revision 28851)
+++ support/parsedate.h	(working copy)
@@ -11,7 +11,7 @@
 
 /* flags that will be set in the flags field by parsedate_etc() */
 #define PARSEDATE_RELATIVE_TIME			0x0001
-// ToDo: the following flags are not part of the R5 implementation and preliminary only
+/* ToDo: the following flags are not part of the R5 implementation and preliminary only */
 #define PARSEDATE_DAY_RELATIVE_TIME		PARSEDATE_RELATIVE_TIME
 #define PARSEDATE_MINUTE_RELATIVE_TIME	0x0002
 #define PARSEDATE_INVALID_DATE			0x0100
Index: support/Beep.h
===================================================================
--- support/Beep.h	(revision 28851)
+++ support/Beep.h	(working copy)
@@ -11,7 +11,7 @@
 
 
 #ifdef __cplusplus
-// These functions are only exported for C++
+/* These functions are only exported for C++ */
 
 status_t beep();
 status_t system_beep(const char* eventName);
@@ -19,4 +19,4 @@
 
 #endif
 
-#endif	// _BEEP_H
+#endif	/* _BEEP_H */
Index: support/TypeConstants.h
===================================================================
--- support/TypeConstants.h	(revision 28851)
+++ support/TypeConstants.h	(working copy)
@@ -56,23 +56,23 @@
 	B_UINT8_TYPE					= 'UBYT',
 	B_VECTOR_ICON_TYPE				= 'VICN',
 
-	// deprecated, do not use
-	B_ASCII_TYPE					= 'TEXT'	// use B_STRING_TYPE instead
+	/* deprecated, do not use */
+	B_ASCII_TYPE					= 'TEXT'	/* use B_STRING_TYPE instead */
 };
 
-// System-wide MIME types for handling URL's
+/* System-wide MIME types for handling URL's */
 
-extern const char *B_URL_HTTP; 		// application/x-vnd.Be.URL.http
-extern const char *B_URL_HTTPS; 		// application/x-vnd.Be.URL.https
-extern const char *B_URL_FTP;		// application/x-vnd.Be.URL.ftp
-extern const char *B_URL_GOPHER; 	// application/x-vnd.Be.URL.gopher
-extern const char *B_URL_MAILTO; 	// application/x-vnd.Be.URL.mailto
-extern const char *B_URL_NEWS;		// application/x-vnd.Be.URL.news
-extern const char *B_URL_NNTP;		// application/x-vnd.Be.URL.nntp
-extern const char *B_URL_TELNET; 	// application/x-vnd.Be.URL.telnet
-extern const char *B_URL_RLOGIN; 	// application/x-vnd.Be.URL.rlogin
-extern const char *B_URL_TN3270; 	// application/x-vnd.Be.URL.tn3270
-extern const char *B_URL_WAIS;		// application/x-vnd.Be.URL.wais
-extern const char *B_URL_FILE;		// application/x-vnd.Be.URL.file
+extern const char *B_URL_HTTP; 		/* application/x-vnd.Be.URL.http */
+extern const char *B_URL_HTTPS; 		/* application/x-vnd.Be.URL.https */
+extern const char *B_URL_FTP;		/* application/x-vnd.Be.URL.ftp */
+extern const char *B_URL_GOPHER; 	/* application/x-vnd.Be.URL.gopher */
+extern const char *B_URL_MAILTO; 	/* application/x-vnd.Be.URL.mailto */
+extern const char *B_URL_NEWS;		/* application/x-vnd.Be.URL.news */
+extern const char *B_URL_NNTP;		/* application/x-vnd.Be.URL.nntp */
+extern const char *B_URL_TELNET; 	/* application/x-vnd.Be.URL.telnet */
+extern const char *B_URL_RLOGIN; 	/* application/x-vnd.Be.URL.rlogin */
+extern const char *B_URL_TN3270; 	/* application/x-vnd.Be.URL.tn3270 */
+extern const char *B_URL_WAIS;		/* application/x-vnd.Be.URL.wais */
+extern const char *B_URL_FILE;		/* application/x-vnd.Be.URL.file */
 
-#endif	// _TYPE_CONSTANTS_H
+#endif	/* _TYPE_CONSTANTS_H */
Index: support/UTF8.h
===================================================================
--- support/UTF8.h	(revision 28851)
+++ support/UTF8.h	(working copy)
@@ -11,9 +11,9 @@
 #include <SupportDefs.h>
 
 
-// Conversion Flavors
+/* Conversion Flavors */
 enum {
-	B_ISO1_CONVERSION,				// ISO 8859-x
+	B_ISO1_CONVERSION,				/* ISO 8859-x */
 	B_ISO2_CONVERSION,
 	B_ISO3_CONVERSION,
 	B_ISO4_CONVERSION,
@@ -23,26 +23,26 @@
 	B_ISO8_CONVERSION,
 	B_ISO9_CONVERSION,
 	B_ISO10_CONVERSION,
-	B_MAC_ROMAN_CONVERSION,			// Macintosh Roman
-	B_SJIS_CONVERSION,				// Shift-JIS
-	B_EUC_CONVERSION,				// EUC Packed Japanese
-	B_JIS_CONVERSION,				// JIS X 0208-1990
-	B_MS_WINDOWS_CONVERSION,		// Windows Latin-1 Codepage 1252
-	B_UNICODE_CONVERSION,			// Unicode 2.0, UCS-2
-	B_KOI8R_CONVERSION,				// KOI8-R
-	B_MS_WINDOWS_1251_CONVERSION,	// Windows Cyrillic Codepage 1251
-	B_MS_DOS_866_CONVERSION,		// MS-DOS Codepage 866
-	B_MS_DOS_CONVERSION,			// MS-DOS Codepage 437
-	B_EUC_KR_CONVERSION,			// EUC Korean
+	B_MAC_ROMAN_CONVERSION,			/* Macintosh Roman */
+	B_SJIS_CONVERSION,				/* Shift-JIS */
+	B_EUC_CONVERSION,				/* EUC Packed Japanese */
+	B_JIS_CONVERSION,				/* JIS X 0208-1990 */
+	B_MS_WINDOWS_CONVERSION,		/* Windows Latin-1 Codepage 1252 */
+	B_UNICODE_CONVERSION,			/* Unicode 2.0, UCS-2 */
+	B_KOI8R_CONVERSION,				/* KOI8-R */
+	B_MS_WINDOWS_1251_CONVERSION,	/* Windows Cyrillic Codepage 1251 */
+	B_MS_DOS_866_CONVERSION,		/* MS-DOS Codepage 866 */
+	B_MS_DOS_CONVERSION,			/* MS-DOS Codepage 437 */
+	B_EUC_KR_CONVERSION,			/* EUC Korean */
 	B_ISO13_CONVERSION,
 	B_ISO14_CONVERSION,
 	B_ISO15_CONVERSION,
-	B_BIG5_CONVERSION,				// Chinese Big5
-	B_GBK_CONVERSION,				// Chinese GB18030
+	B_BIG5_CONVERSION,				/* Chinese Big5 */
+	B_GBK_CONVERSION,				/* Chinese GB18030 */
 };
 
 
-// Conversion Functions
+/* Conversion Functions */
 
 #ifdef __cplusplus
 
Index: drivers/locked_pool.h
===================================================================
--- drivers/locked_pool.h	(revision 28851)
+++ drivers/locked_pool.h	(working copy)
@@ -41,23 +41,23 @@
 typedef struct {
 	module_info minfo;
 
-	// allocate block	
+	/* allocate block	 */
 	void *(*alloc)(locked_pool_cookie pool);
-	// free block
+	/* free block */
 	void (*free)(locked_pool_cookie pool, void *block);
 
-	// create new pool
-	// block_size	- size of one memory block
-	// alignment	- set address bits here that must be zero for block addresses
-	// next_ofs		- offset in block where internal next-pointer can be stored
-	// chunk_size	- how much system memory is to be allocated at once
-	// max_blocks	- maximum number of blocks
-	// min_free_block - minimum number of free blocks
-	// name			- name of pool
-	// lock_flags	- flags to be passed to lock_memory()
-	// alloc_hook	- hook to be called when new block is added to pool (can be NULL )
-	// free_hook	- hook to be called when block is removed from pool (can be NULL )
-	// hook_arg		- value to be passed to hooks as arg
+	/* create new pool */
+	/* block_size	- size of one memory block */
+	/* alignment	- set address bits here that must be zero for block addresses */
+	/* next_ofs		- offset in block where internal next-pointer can be stored */
+	/* chunk_size	- how much system memory is to be allocated at once */
+	/* max_blocks	- maximum number of blocks */
+	/* min_free_block - minimum number of free blocks */
+	/* name			- name of pool */
+	/* lock_flags	- flags to be passed to lock_memory() */
+	/* alloc_hook	- hook to be called when new block is added to pool (can be NULL ) */
+	/* free_hook	- hook to be called when block is removed from pool (can be NULL ) */
+	/* hook_arg		- value to be passed to hooks as arg */
 	locked_pool_cookie (*create)(int block_size, int alignment, int next_ofs,
 		int chunk_size, int max_blocks, int min_free_blocks, const char *name,
 		uint32 lock_flags, locked_pool_add_hook add_hook, 
Index: drivers/dpc.h
===================================================================
--- drivers/dpc.h	(revision 28851)
+++ drivers/dpc.h	(working copy)
@@ -30,4 +30,4 @@
 }
 #endif
 
-#endif		// _DPC_MODULE_H_
+#endif		/* _DPC_MODULE_H_ */
Index: drivers/ACPI.h
===================================================================
--- drivers/ACPI.h	(revision 28851)
+++ drivers/ACPI.h	(working copy)
@@ -124,7 +124,7 @@
 	} data;
 };
 
-#endif	// __ACTYPES_H__
+#endif	/* __ACTYPES_H__ */
 
 /* Sleep states */
 
@@ -145,7 +145,7 @@
 
 typedef struct acpi_device_info *acpi_device;
 
-//	Interface to one ACPI device.
+/*	Interface to one ACPI device. */
 typedef struct acpi_device_module_info {
 	driver_module_info info;
 
Index: drivers/ISA.h
===================================================================
--- drivers/ISA.h	(revision 28851)
+++ drivers/ISA.h	(working copy)
@@ -11,7 +11,7 @@
 #ifndef _ISA_H
 #define _ISA_H
 
-//#include <SupportDefs.h>
+/*#include <SupportDefs.h> */
 #include <bus_manager.h>
 
 #ifdef __cplusplus
Index: drivers/KernelExport.h
===================================================================
--- drivers/KernelExport.h	(revision 28851)
+++ drivers/KernelExport.h	(working copy)
@@ -14,9 +14,9 @@
 
 typedef ulong cpu_status;
 
-// WARNING: For Haiku debugging only! This changes the spinlock type in a
-// binary incompatible way!
-//#define B_DEBUG_SPINLOCK_CONTENTION	1
+/* WARNING: For Haiku debugging only! This changes the spinlock type in a */
+/* binary incompatible way! */
+/*#define B_DEBUG_SPINLOCK_CONTENTION	1 */
 
 #if B_DEBUG_SPINLOCK_CONTENTION
 	typedef struct {
@@ -94,7 +94,7 @@
 #define B_USER_CLONEABLE_AREA		256
 
 /* MTR attributes for mapping physical memory (Intel Architecture only) */
-// TODO: rename those to something more meaningful
+/* TODO: rename those to something more meaningful */
 #define	B_MTR_UC	0x10000000
 #define	B_MTR_WC	0x20000000
 #define	B_MTR_WT	0x30000000
Index: drivers/fs_interface.h
===================================================================
--- drivers/fs_interface.h	(revision 28851)
+++ drivers/fs_interface.h	(working copy)
@@ -25,10 +25,10 @@
 
 
 /* additional flags passed to write_stat() (see NodeMonitor.h for the others) */
-// NOTE: Changing the constants here or in NodeMonitor.h will break
-// src/kits/storage/LibBeAdapter.cpp:_kern_write_stat().
+/* NOTE: Changing the constants here or in NodeMonitor.h will break */
+/* src/kits/storage/LibBeAdapter.cpp:_kern_write_stat(). */
 #define B_STAT_SIZE_INSECURE	0x2000
-	// TODO: this should be faded out once BFS supports sparse files
+	/* TODO: this should be faded out once BFS supports sparse files */
 
 /* passed to write_fs_info() */
 #define	FS_WRITE_FSINFO_NAME	0x0001
@@ -40,7 +40,7 @@
 
 #define	B_CURRENT_FS_API_VERSION "/v1"
 
-// flags for publish_vnode() and fs_volume_ops::get_vnode()
+/* flags for publish_vnode() and fs_volume_ops::get_vnode() */
 #define B_VNODE_PUBLISH_REMOVED					0x01
 #define B_VNODE_DONT_CREATE_SPECIAL_SUB_NODE	0x02
 
@@ -243,7 +243,7 @@
 	struct module_info	info;
 	const char*			short_name;
 	const char*			pretty_name;
-	uint32				flags;	// DDM flags
+	uint32				flags;	/* DDM flags */
 
 	/* scanning (the device is write locked) */
 	float (*identify_partition)(int fd, partition_data *partition,
@@ -294,7 +294,7 @@
 
 /* file system add-ons only prototypes */
 
-// callbacks for do_iterative_fd_io()
+/* callbacks for do_iterative_fd_io() */
 typedef status_t (*iterative_io_get_vecs)(void *cookie, io_request* request,
 				off_t offset, size_t size, struct file_io_vec *vecs,
 				size_t *_count);
Index: drivers/tty/ttylayer.h
===================================================================
--- drivers/tty/ttylayer.h	(revision 28851)
+++ drivers/tty/ttylayer.h	(working copy)
@@ -12,7 +12,7 @@
 #include <termios.h>
 
 
-// XXX: should go away or be opacised
+/* XXX: should go away or be opacised */
 struct str {
 	uchar	*buffer;
 	uint	bufsize, count, tail;
@@ -36,7 +36,7 @@
 	uint	nopen;
 	uint	flags;
 	struct ddomain	dd;
-	struct ddomain	ddi;	// used in interrupt context
+	struct ddomain	ddi;	/* used in interrupt context */
 	pid_t	pgid;
 	struct termios	t;
 	uint	iactivity;
@@ -56,7 +56,7 @@
 	bigtime_t	vtime;
 };
 
-// flags
+/* flags */
 #define	TTYCARRIER		(1 << 0)
 #define	TTYWRITABLE		(1 << 1)
 #define	TTYWRITING		(1 << 2)
@@ -69,7 +69,7 @@
 #define	TTYHWRI			(1 << 9)
 #define	TTYFLOWFORCED	(1 << 10)
 
-// ops
+/* ops */
 #define	TTYENABLE		0
 #define	TTYDISABLE		1
 #define	TTYSETMODES		2
@@ -85,9 +85,9 @@
 
 typedef struct tty_module_info tty_module_info;
 
-// this version is compatible with BeOS R5
+/* this version is compatible with BeOS R5 */
 struct tty_module_info_r5 {
-	// not a real bus manager... no rescan() !
+	/* not a real bus manager... no rescan() ! */
 	module_info	mi;
 	status_t	(*ttyopen)(struct ttyfile *, struct ddrover *, tty_service_func);
 	status_t	(*ttyclose)(struct ttyfile *, struct ddrover *);
@@ -105,10 +105,10 @@
 	void	(*ddacquire)(struct ddrover *, struct ddomain *);
 };
 
-// BeOS R5.1d0 has a different module with the same version...
-// we exort this module as version 1.1 to allow using select from drivers
+/* BeOS R5.1d0 has a different module with the same version... */
+/* we exort this module as version 1.1 to allow using select from drivers */
 struct tty_module_info_dano {
-	// not a real bus manager... no rescan() !
+	/* not a real bus manager... no rescan() ! */
 	module_info	mi;
 	status_t	(*ttyopen)(struct ttyfile *, struct ddrover *, tty_service_func);
 	status_t	(*ttyclose)(struct ttyfile *, struct ddrover *);
Index: drivers/interrupt_controller.h
===================================================================
--- drivers/interrupt_controller.h	(revision 28851)
+++ drivers/interrupt_controller.h	(working copy)
@@ -13,11 +13,14 @@
 };
 
 typedef struct interrupt_controller_info {
-	int	cpu_count;		// number of supported CPUs
-	int	irq_count;		// number of supported IRQs
+	int	cpu_count;		/* number of supported CPUs
+ */
+	int	irq_count;		/* number of supported IRQs
+ */
 } interrupt_controller_info;
 
-// interrupt controller drivers
+/* interrupt controller drivers
+ */
 typedef struct interrupt_controller_module_info {
 	driver_module_info info;
 
@@ -27,13 +30,19 @@
 	status_t	(*enable_io_interrupt)(void *cookie, int irq, int type);
 	status_t	(*disable_io_interrupt)(void *cookie, int irq);
 
-	// Returns the IRQ number or a negative value, if the interrupt shall be
-	// ignore (spurious interrupts). Since more than one interrupt can be
-	// pending, the function should be called in a loop until it returns a
-	// negative value.
-	// Must be called with CPU interrupts disabled.
+	/* Returns the IRQ number or a negative value, if the interrupt shall be
+ */
+	/* ignore (spurious interrupts). Since more than one interrupt can be
+ */
+	/* pending, the function should be called in a loop until it returns a
+ */
+	/* negative value.
+ */
+	/* Must be called with CPU interrupts disabled.
+ */
 	int			(*acknowledge_io_interrupt)(void *cookie);
 
 } interrupt_controller_module_info;
 
-#endif	// _INTERRUPT_CONTROLLER_H
+#endif	/* _INTERRUPT_CONTROLLER_H
+ */
Index: drivers/disk_device_manager.h
===================================================================
--- drivers/disk_device_manager.h	(revision 28851)
+++ drivers/disk_device_manager.h	(working copy)
@@ -20,45 +20,45 @@
  * 	the disk system modules.
  */
 typedef struct partition_data {
-	partition_id	id;				// [sys]
+	partition_id	id;				/* [sys] */
 	off_t			offset;
 	off_t			size;
 	off_t			content_size;
 	uint32			block_size;
 	int32			child_count;
-	int32			index;			// [sys]
+	int32			index;			/* [sys] */
 	uint32			status;
 	uint32			flags;
-	dev_t			volume;			// [sys]
-	void			*mount_cookie;	// [sys] 
-	char			*name;			// max: B_OS_NAME_LENGTH
-	char			*content_name;	//
-	char			*type;			//
-	const char		*content_type;	// [sys]
+	dev_t			volume;			/* [sys] */
+	void			*mount_cookie;	/* [sys]  */
+	char			*name;			/* max: B_OS_NAME_LENGTH */
+	char			*content_name;	/* */
+	char			*type;			/* */
+	const char		*content_type;	/* [sys] */
 	char			*parameters;
 	char			*content_parameters;
 	void			*cookie;
 	void			*content_cookie;
 } partition_data;
 
-// C API disk device representation
+/* C API disk device representation */
 typedef struct disk_device_data {
-	partition_id	id;				// equal to that of the root partition
+	partition_id	id;				/* equal to that of the root partition */
 	uint32			flags;
 	char			*path;
 	device_geometry	geometry;
 } disk_device_data;
 
-// C API partitionable space representation
+/* C API partitionable space representation */
 typedef struct partitionable_space_data {
 	off_t	offset;
 	off_t	size;
 } partitionable_space_data;
 
-// operations on partitions
+/* operations on partitions */
 enum {
-	B_PARTITION_SHADOW,			// indicates creation of a shadow partition
-	B_PARTITION_SHADOW_CHILD,	//
+	B_PARTITION_SHADOW,			/* indicates creation of a shadow partition */
+	B_PARTITION_SHADOW_CHILD,	/* */
 	B_PARTITION_DEFRAGMENT,
 	B_PARTITION_REPAIR,
 	B_PARTITION_RESIZE,
@@ -75,64 +75,64 @@
 	B_PARTITION_DELETE_CHILD,
 };
 
-// disk device job cancel status
+/* disk device job cancel status */
 enum {
 	B_DISK_DEVICE_JOB_CONTINUE,
 	B_DISK_DEVICE_JOB_CANCEL,
 	B_DISK_DEVICE_JOB_REVERSE,
 };
 
-// disk device locking
+/* disk device locking */
 disk_device_data *write_lock_disk_device(partition_id partitionID);
 void write_unlock_disk_device(partition_id partitionID);
 disk_device_data *read_lock_disk_device(partition_id partitionID);
 void read_unlock_disk_device(partition_id partitionID);
-	// parameter is the ID of any partition on the device
+	/* parameter is the ID of any partition on the device */
 
-// getting disk devices/partitions by path
-// (no locking required)
+/* getting disk devices/partitions by path */
+/* (no locking required) */
 int32 find_disk_device(const char *path);
 int32 find_partition(const char *path);
 
-// disk device/partition read access
-// (read lock required)
+/* disk device/partition read access */
+/* (read lock required) */
 disk_device_data *get_disk_device(partition_id partitionID);
 partition_data *get_partition(partition_id partitionID);
 partition_data *get_parent_partition(partition_id partitionID);
 partition_data *get_child_partition(partition_id partitionID, int32 index);
 
-// partition write access
-// (write lock required)
+/* partition write access */
+/* (write lock required) */
 partition_data *create_child_partition(partition_id partitionID, int32 index,
 		partition_id childID);
-	// childID is an optional input parameter -- -1 to be ignored
+	/* childID is an optional input parameter -- -1 to be ignored */
 bool delete_partition(partition_id partitionID);
 void partition_modified(partition_id partitionID);
-	// tells the disk device manager, that the partition has been modified
+	/* tells the disk device manager, that the partition has been modified */
 
 status_t scan_partition(partition_id partitionID);
-	// Service method for disks systems: Synchronously scans the partition.
-	// Device must not be locked.
+	/* Service method for disks systems: Synchronously scans the partition. */
+	/* Device must not be locked. */
 
-// partition support functions
-// (no lock required)
+/* partition support functions */
+/* (no lock required) */
 status_t get_default_partition_content_name(partition_id partitionID,
 		const char* fileSystemName, char* buffer, size_t bufferSize);
-	// The partition_data::content_size field must already be initialized.
+	/* The partition_data::content_size field must already be initialized. */
 
-// disk systems
+/* disk systems */
 disk_system_id find_disk_system(const char *name);
 
-// jobs
+/* jobs */
 bool update_disk_device_job_progress(disk_job_id jobID, float progress);
 bool update_disk_device_job_extra_progress(disk_job_id jobID, const char *info);
 bool set_disk_device_job_error_message(disk_job_id jobID, const char *message);
 uint32 update_disk_device_job_interrupt_properties(disk_job_id jobID,
 		uint32 interruptProperties);
-	// returns one of B_DISK_DEVICE_JOB_{CONTINUE,CANCEL,REVERSE}
+	/* returns one of B_DISK_DEVICE_JOB_{CONTINUE,CANCEL,REVERSE} */
 
 #ifdef __cplusplus
 }
 #endif
 
-#endif	// _DISK_DEVICE_MANAGER_H
+#endif	/* _DISK_DEVICE_MANAGER_H */
Index: drivers/bus/ISA.h
===================================================================
--- drivers/bus/ISA.h	(revision 28851)
+++ drivers/bus/ISA.h	(working copy)
@@ -30,8 +30,8 @@
 #include <device_manager.h>
 #include <ISA.h>
 
-// maximum size of one dma transfer
-// (in bytes for 8 bit transfer, in words for 16 bit transfer)
+/* maximum size of one dma transfer */
+/* (in bytes for 8 bit transfer, in words for 16 bit transfer) */
 #define B_MAX_ISA_DMA_COUNT	0x10000
 
 typedef struct isa2_module_info {
@@ -44,23 +44,23 @@
 	uint32 (*read_io_32)(int mapped_io_addr);
 	void (*write_io_32)(int mapped_io_addr, uint32 value);
 
-	// don't know what it's for, remains for compatibility
+	/* don't know what it's for, remains for compatibility */
 	void *(*ram_address)(const void *physical_address_in_system_memory);
 
-	// start dma transfer (scattered DMA is not supported as it's EISA specific)
+	/* start dma transfer (scattered DMA is not supported as it's EISA specific) */
 	status_t (*start_isa_dma)(
-		long	channel,				// dma channel to use
-		void	*buf,					// buffer to transfer
-		long	transfer_count,			// # transfers
-		uchar	mode,					// mode flags
-		uchar	e_mode					// extended mode flags
+		long	channel,				/* dma channel to use */
+		void	*buf,					/* buffer to transfer */
+		long	transfer_count,			/* # transfers */
+		uchar	mode,					/* mode flags */
+		uchar	e_mode					/* extended mode flags */
 	);
 } isa2_module_info;
 
-// type of isa device
+/* type of isa device */
 #define ISA_DEVICE_TYPE_NAME "isa/device/v1"
-// directory of ISA drivers
-// (there is only one device node, so put all drivers under "universal")
+/* directory of ISA drivers */
+/* (there is only one device node, so put all drivers under "universal") */
 #define ISA_DRIVERS_DIR "isa"
 
 
Index: drivers/bus/IDE.h
===================================================================
--- drivers/bus/IDE.h	(revision 28851)
+++ drivers/bus/IDE.h	(working copy)
@@ -11,29 +11,29 @@
 
 
 
-// Controller Driver Node
+/* Controller Driver Node */
 
-// attributes:
+/* attributes: */
 
-// node type
+/* node type */
 #define IDE_BUS_TYPE_NAME "bus/ide/v1"
-// maximum number of devices connected to controller (uint8, optional, default:2)
+/* maximum number of devices connected to controller (uint8, optional, default:2) */
 #define IDE_CONTROLLER_MAX_DEVICES_ITEM "ide/max_devices"
-// set to not-0 if DMA is supported (uint8, optional, default:0)
-// (if so, publish necessary blkdev restriction too)
+/* set to not-0 if DMA is supported (uint8, optional, default:0) */
+/* (if so, publish necessary blkdev restriction too) */
 #define IDE_CONTROLLER_CAN_DMA_ITEM "ide/can_DMA"
-// set to not-0 if CQ is supported (uint8, optional, default:1)
+/* set to not-0 if CQ is supported (uint8, optional, default:1) */
 #define IDE_CONTROLLER_CAN_CQ_ITEM "ide/can_CQ"
-// name of controller (string, required)
+/* name of controller (string, required) */
 #define IDE_CONTROLLER_CONTROLLER_NAME_ITEM "ide/controller_name"
 
 union ide_task_file;
 typedef unsigned int ide_reg_mask;
 
-// channel cookie, issued by ide bus manager
+/* channel cookie, issued by ide bus manager */
 typedef struct ide_bus_info *ide_channel;
 
-// interface of controller driver
+/* interface of controller driver */
 typedef struct {
 	driver_module_info info;
 
@@ -58,15 +58,15 @@
 } ide_controller_interface;
 
 
-// Interface for Controller Driver
+/* Interface for Controller Driver */
 
-// interface of bus manager as seen from controller driver
-// use this interface as the fixed consumer of your controller driver
+/* interface of bus manager as seen from controller driver */
+/* use this interface as the fixed consumer of your controller driver */
 typedef struct {
 	driver_module_info info;
 
-	// status - status read from controller (_not_ alt_status, as reading
-	//          normal status acknowledges IRQ request of device)
+	/* status - status read from controller (_not_ alt_status, as reading */
+	/*          normal status acknowledges IRQ request of device) */
 	status_t	(*irq_handler)( ide_channel channel, uint8 status );
 } ide_for_controller_interface;
 
